Bug 1290741 - Do not collect /proc/net/cdp by networking plugin
Do not collect /proc/net/cdp by networking plugin
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos (Show other bugs)
7.2
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Pavel Moravec
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 05:05 EST by Martin Frodl
Modified: 2016-10-25 07:21 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1276262
Environment:
Last Closed: 2016-10-25 07:21:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Frodl 2015-12-11 05:05:10 EST
Same problem as in RHEL-6 bug 1276262 reproduced with sos-3.2-35.el7.noarch. Cloning for RHEL 7 as per bug 1276262 comment 3 (see below).

The severity of this bug depends on whether Cisco currently ships CDP for RHEL 7 or not, which I am still not certain about.

--- Additional comment from Bryn M. Reeves on 2015-10-30 09:46:11 EDT ---

We definitely need to fix it, however I believe that Cisco CDP (the 3rd party kernel module responsible for these paths) is not currently available on RHEL7 so this may give us a bit of leeway to address this.

It is probably worth verifying that with a Cisco account contact - if I am mistaken and RHEL7 is already supported then we may need to consider a rhel-7.2.z release for this.
Comment 1 Bryn M. Reeves 2016-02-11 13:16:46 EST
Already upstream and will be in 3.3:

commit c8197e1e231df7f71007de69a3bd362ec4f96317
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Fri Feb 5 17:51:05 2016 +0000

    [networking] blacklist Cisco CDP paths
    
    Cisco CDP products include a kernel module that presents several
    large pseudo files in /proc and /sys. Blacklist these locations
    to avoid attempting to read the content into reports.
    
    Fixes #740.
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>
Comment 3 Bryn M. Reeves 2016-10-25 07:21:24 EDT
Already in 3.3...

Note You need to log in before you can comment on or make changes to this bug.